apiVersion: v1
kind: Service
metadata:
  name: xray
  labels:
    app: xray
    service: xray
    group: amis-poc
spec:
  ports:
    - name: http
      port: 8080
    - name: grpc
      port: 8090
  selector:
    app: xray
    group: amis-poc
---
apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: xray
spec:
  hosts:
    - amis.cloud.amc.kr
  gateways:
    - amis-dev-gateway
  http:
    - match:
        - uri:
            prefix: /api/xray/
      rewrite:
        uri: /
      route:
        - destination:
            host: xray
            port:
              number: 8080
